org.modeshape.jcr.query.process

## Class SortValuesComponent

- java.lang.Object
- - org.modeshape.jcr.query.process.ProcessingComponent
  - - org.modeshape.jcr.query.process.DelegatingComponent
    - - org.modeshape.jcr.query.process.SortValuesComponent

-     public class SortValuesComponent
      extends DelegatingComponent

  A `ProcessingComponent` implementation that performs a `PROJECT` operation to reduce the columns that appear in the results.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `ProcessingComponent.DynamicOperation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortValuesComponent(ProcessingComponent delegate, List<Ordering> orderings, Map<SelectorName,SelectorName> sourceNamesByAlias)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Comparator<Object[]>` | `createSortComparator(QueryContext context, QueryResults.Columns columns, List<Ordering> orderings, Map<SelectorName,SelectorName> sourceNamesByAlias)`
    `protected Comparator<Object[]>` | `createSortComparator(QueryContext context, QueryResults.Columns columns, Ordering ordering, Map<SelectorName,SelectorName> sourceNamesByAlias)`
    `List<Object[]>` | `execute()` Execute this stage of processing and return the resulting tuples that each conform to the `columns`.
    `Comparator<Object[]>` | `getSortingComparator()`

    - ### Methods inherited from class org.modeshape.jcr.query.process.DelegatingComponent

      `close, delegate`

    - ### Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `createDynamicOperation, createSortComparator, emptyTuples, getColumns, getContext, getLocationIndexes, problems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortValuesComponent

          public SortValuesComponent(ProcessingComponent delegate,
                             List<Ordering> orderings,
                             Map<SelectorName,SelectorName> sourceNamesByAlias)

  - ### Method Detail

    - #### getSortingComparator

          public Comparator<Object[]> getSortingComparator()

      Returns:
        sortingComparator

    - #### execute

          public List<Object[]> execute()

      Description copied from class: `ProcessingComponent`
      Execute this stage of processing and return the resulting tuples that each conform to the `columns`.
      Specified by:
        `execute` in class `ProcessingComponent`
      Returns:
        the list of tuples, where each tuple corresonds to the `columns`; never null

    - #### createSortComparator

          protected Comparator<Object[]> createSortComparator(QueryContext context,
                                                  QueryResults.Columns columns,
                                                  List<Ordering> orderings,
                                                  Map<SelectorName,SelectorName> sourceNamesByAlias)

    - #### createSortComparator

          protected Comparator<Object[]> createSortComparator(QueryContext context,
                                                  QueryResults.Columns columns,
                                                  Ordering ordering,
                                                  Map<SelectorName,SelectorName> sourceNamesByAlias)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.